Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
40.0.0.0
Broadcast address
47.255.255.255
First usable
40.0.0.1
Last usable
47.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
A (default /8)
As numbers
Hex 28000000 · Integer 671088640 to 805306367
Reverse DNS zones
40.in-addr.arpa
41.in-addr.arpa
42.in-addr.arpa
43.in-addr.arpa
44.in-addr.arpa
45.in-addr.arpa
46.in-addr.arpa
47.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.00000000.00000000.0000000040.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network00101000.00000000.00000000.0000000040.0.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/15

40.0.0.0/5 makes 1,024 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.0.0.0/1540.0.0.1 to 40.1.255.25440.1.255.255131,070
240.2.0.0/1540.2.0.1 to 40.3.255.25440.3.255.255131,070
340.4.0.0/1540.4.0.1 to 40.5.255.25440.5.255.255131,070
440.6.0.0/1540.6.0.1 to 40.7.255.25440.7.255.255131,070
540.8.0.0/1540.8.0.1 to 40.9.255.25440.9.255.255131,070
640.10.0.0/1540.10.0.1 to 40.11.255.25440.11.255.255131,070
740.12.0.0/1540.12.0.1 to 40.13.255.25440.13.255.255131,070
840.14.0.0/1540.14.0.1 to 40.15.255.25440.15.255.255131,070
940.16.0.0/1540.16.0.1 to 40.17.255.25440.17.255.255131,070
1040.18.0.0/1540.18.0.1 to 40.19.255.25440.19.255.255131,070
1140.20.0.0/1540.20.0.1 to 40.21.255.25440.21.255.255131,070
1240.22.0.0/1540.22.0.1 to 40.23.255.25440.23.255.255131,070
1340.24.0.0/1540.24.0.1 to 40.25.255.25440.25.255.255131,070
1440.26.0.0/1540.26.0.1 to 40.27.255.25440.27.255.255131,070
1540.28.0.0/1540.28.0.1 to 40.29.255.25440.29.255.255131,070
1640.30.0.0/1540.30.0.1 to 40.31.255.25440.31.255.255131,070
1740.32.0.0/1540.32.0.1 to 40.33.255.25440.33.255.255131,070
1840.34.0.0/1540.34.0.1 to 40.35.255.25440.35.255.255131,070
1940.36.0.0/1540.36.0.1 to 40.37.255.25440.37.255.255131,070
2040.38.0.0/1540.38.0.1 to 40.39.255.25440.39.255.255131,070
2140.40.0.0/1540.40.0.1 to 40.41.255.25440.41.255.255131,070
2240.42.0.0/1540.42.0.1 to 40.43.255.25440.43.255.255131,070
2340.44.0.0/1540.44.0.1 to 40.45.255.25440.45.255.255131,070
2440.46.0.0/1540.46.0.1 to 40.47.255.25440.47.255.255131,070
2540.48.0.0/1540.48.0.1 to 40.49.255.25440.49.255.255131,070
2640.50.0.0/1540.50.0.1 to 40.51.255.25440.51.255.255131,070
2740.52.0.0/1540.52.0.1 to 40.53.255.25440.53.255.255131,070
2840.54.0.0/1540.54.0.1 to 40.55.255.25440.55.255.255131,070
2940.56.0.0/1540.56.0.1 to 40.57.255.25440.57.255.255131,070
3040.58.0.0/1540.58.0.1 to 40.59.255.25440.59.255.255131,070
3140.60.0.0/1540.60.0.1 to 40.61.255.25440.61.255.255131,070
3240.62.0.0/1540.62.0.1 to 40.63.255.25440.63.255.255131,070
3340.64.0.0/1540.64.0.1 to 40.65.255.25440.65.255.255131,070
3440.66.0.0/1540.66.0.1 to 40.67.255.25440.67.255.255131,070
3540.68.0.0/1540.68.0.1 to 40.69.255.25440.69.255.255131,070
3640.70.0.0/1540.70.0.1 to 40.71.255.25440.71.255.255131,070
3740.72.0.0/1540.72.0.1 to 40.73.255.25440.73.255.255131,070
3840.74.0.0/1540.74.0.1 to 40.75.255.25440.75.255.255131,070
3940.76.0.0/1540.76.0.1 to 40.77.255.25440.77.255.255131,070
4040.78.0.0/1540.78.0.1 to 40.79.255.25440.79.255.255131,070
4140.80.0.0/1540.80.0.1 to 40.81.255.25440.81.255.255131,070
4240.82.0.0/1540.82.0.1 to 40.83.255.25440.83.255.255131,070
4340.84.0.0/1540.84.0.1 to 40.85.255.25440.85.255.255131,070
4440.86.0.0/1540.86.0.1 to 40.87.255.25440.87.255.255131,070
4540.88.0.0/1540.88.0.1 to 40.89.255.25440.89.255.255131,070
4640.90.0.0/1540.90.0.1 to 40.91.255.25440.91.255.255131,070
4740.92.0.0/1540.92.0.1 to 40.93.255.25440.93.255.255131,070
4840.94.0.0/1540.94.0.1 to 40.95.255.25440.95.255.255131,070
4940.96.0.0/1540.96.0.1 to 40.97.255.25440.97.255.255131,070
5040.98.0.0/1540.98.0.1 to 40.99.255.25440.99.255.255131,070
5140.100.0.0/1540.100.0.1 to 40.101.255.25440.101.255.255131,070
5240.102.0.0/1540.102.0.1 to 40.103.255.25440.103.255.255131,070
5340.104.0.0/1540.104.0.1 to 40.105.255.25440.105.255.255131,070
5440.106.0.0/1540.106.0.1 to 40.107.255.25440.107.255.255131,070
5540.108.0.0/1540.108.0.1 to 40.109.255.25440.109.255.255131,070
5640.110.0.0/1540.110.0.1 to 40.111.255.25440.111.255.255131,070
5740.112.0.0/1540.112.0.1 to 40.113.255.25440.113.255.255131,070
5840.114.0.0/1540.114.0.1 to 40.115.255.25440.115.255.255131,070
5940.116.0.0/1540.116.0.1 to 40.117.255.25440.117.255.255131,070
6040.118.0.0/1540.118.0.1 to 40.119.255.25440.119.255.255131,070
6140.120.0.0/1540.120.0.1 to 40.121.255.25440.121.255.255131,070
6240.122.0.0/1540.122.0.1 to 40.123.255.25440.123.255.255131,070
6340.124.0.0/1540.124.0.1 to 40.125.255.25440.125.255.255131,070
6440.126.0.0/1540.126.0.1 to 40.127.255.25440.127.255.255131,070
6540.128.0.0/1540.128.0.1 to 40.129.255.25440.129.255.255131,070
6640.130.0.0/1540.130.0.1 to 40.131.255.25440.131.255.255131,070
6740.132.0.0/1540.132.0.1 to 40.133.255.25440.133.255.255131,070
6840.134.0.0/1540.134.0.1 to 40.135.255.25440.135.255.255131,070
6940.136.0.0/1540.136.0.1 to 40.137.255.25440.137.255.255131,070
7040.138.0.0/1540.138.0.1 to 40.139.255.25440.139.255.255131,070
7140.140.0.0/1540.140.0.1 to 40.141.255.25440.141.255.255131,070
7240.142.0.0/1540.142.0.1 to 40.143.255.25440.143.255.255131,070
7340.144.0.0/1540.144.0.1 to 40.145.255.25440.145.255.255131,070
7440.146.0.0/1540.146.0.1 to 40.147.255.25440.147.255.255131,070
7540.148.0.0/1540.148.0.1 to 40.149.255.25440.149.255.255131,070
7640.150.0.0/1540.150.0.1 to 40.151.255.25440.151.255.255131,070
7740.152.0.0/1540.152.0.1 to 40.153.255.25440.153.255.255131,070
7840.154.0.0/1540.154.0.1 to 40.155.255.25440.155.255.255131,070
7940.156.0.0/1540.156.0.1 to 40.157.255.25440.157.255.255131,070
8040.158.0.0/1540.158.0.1 to 40.159.255.25440.159.255.255131,070
8140.160.0.0/1540.160.0.1 to 40.161.255.25440.161.255.255131,070
8240.162.0.0/1540.162.0.1 to 40.163.255.25440.163.255.255131,070
8340.164.0.0/1540.164.0.1 to 40.165.255.25440.165.255.255131,070
8440.166.0.0/1540.166.0.1 to 40.167.255.25440.167.255.255131,070
8540.168.0.0/1540.168.0.1 to 40.169.255.25440.169.255.255131,070
8640.170.0.0/1540.170.0.1 to 40.171.255.25440.171.255.255131,070
8740.172.0.0/1540.172.0.1 to 40.173.255.25440.173.255.255131,070
8840.174.0.0/1540.174.0.1 to 40.175.255.25440.175.255.255131,070
8940.176.0.0/1540.176.0.1 to 40.177.255.25440.177.255.255131,070
9040.178.0.0/1540.178.0.1 to 40.179.255.25440.179.255.255131,070
9140.180.0.0/1540.180.0.1 to 40.181.255.25440.181.255.255131,070
9240.182.0.0/1540.182.0.1 to 40.183.255.25440.183.255.255131,070
9340.184.0.0/1540.184.0.1 to 40.185.255.25440.185.255.255131,070
9440.186.0.0/1540.186.0.1 to 40.187.255.25440.187.255.255131,070
9540.188.0.0/1540.188.0.1 to 40.189.255.25440.189.255.255131,070
9640.190.0.0/1540.190.0.1 to 40.191.255.25440.191.255.255131,070
9740.192.0.0/1540.192.0.1 to 40.193.255.25440.193.255.255131,070
9840.194.0.0/1540.194.0.1 to 40.195.255.25440.195.255.255131,070
9940.196.0.0/1540.196.0.1 to 40.197.255.25440.197.255.255131,070
10040.198.0.0/1540.198.0.1 to 40.199.255.25440.199.255.255131,070
10140.200.0.0/1540.200.0.1 to 40.201.255.25440.201.255.255131,070
10240.202.0.0/1540.202.0.1 to 40.203.255.25440.203.255.255131,070
10340.204.0.0/1540.204.0.1 to 40.205.255.25440.205.255.255131,070
10440.206.0.0/1540.206.0.1 to 40.207.255.25440.207.255.255131,070
10540.208.0.0/1540.208.0.1 to 40.209.255.25440.209.255.255131,070
10640.210.0.0/1540.210.0.1 to 40.211.255.25440.211.255.255131,070
10740.212.0.0/1540.212.0.1 to 40.213.255.25440.213.255.255131,070
10840.214.0.0/1540.214.0.1 to 40.215.255.25440.215.255.255131,070
10940.216.0.0/1540.216.0.1 to 40.217.255.25440.217.255.255131,070
11040.218.0.0/1540.218.0.1 to 40.219.255.25440.219.255.255131,070
11140.220.0.0/1540.220.0.1 to 40.221.255.25440.221.255.255131,070
11240.222.0.0/1540.222.0.1 to 40.223.255.25440.223.255.255131,070
11340.224.0.0/1540.224.0.1 to 40.225.255.25440.225.255.255131,070
11440.226.0.0/1540.226.0.1 to 40.227.255.25440.227.255.255131,070
11540.228.0.0/1540.228.0.1 to 40.229.255.25440.229.255.255131,070
11640.230.0.0/1540.230.0.1 to 40.231.255.25440.231.255.255131,070
11740.232.0.0/1540.232.0.1 to 40.233.255.25440.233.255.255131,070
11840.234.0.0/1540.234.0.1 to 40.235.255.25440.235.255.255131,070
11940.236.0.0/1540.236.0.1 to 40.237.255.25440.237.255.255131,070
12040.238.0.0/1540.238.0.1 to 40.239.255.25440.239.255.255131,070
12140.240.0.0/1540.240.0.1 to 40.241.255.25440.241.255.255131,070
12240.242.0.0/1540.242.0.1 to 40.243.255.25440.243.255.255131,070
12340.244.0.0/1540.244.0.1 to 40.245.255.25440.245.255.255131,070
12440.246.0.0/1540.246.0.1 to 40.247.255.25440.247.255.255131,070
12540.248.0.0/1540.248.0.1 to 40.249.255.25440.249.255.255131,070
12640.250.0.0/1540.250.0.1 to 40.251.255.25440.251.255.255131,070
12740.252.0.0/1540.252.0.1 to 40.253.255.25440.253.255.255131,070
12840.254.0.0/1540.254.0.1 to 40.255.255.25440.255.255.255131,070
12941.0.0.0/1541.0.0.1 to 41.1.255.25441.1.255.255131,070
13041.2.0.0/1541.2.0.1 to 41.3.255.25441.3.255.255131,070
13141.4.0.0/1541.4.0.1 to 41.5.255.25441.5.255.255131,070
13241.6.0.0/1541.6.0.1 to 41.7.255.25441.7.255.255131,070
13341.8.0.0/1541.8.0.1 to 41.9.255.25441.9.255.255131,070
13441.10.0.0/1541.10.0.1 to 41.11.255.25441.11.255.255131,070
13541.12.0.0/1541.12.0.1 to 41.13.255.25441.13.255.255131,070
13641.14.0.0/1541.14.0.1 to 41.15.255.25441.15.255.255131,070
13741.16.0.0/1541.16.0.1 to 41.17.255.25441.17.255.255131,070
13841.18.0.0/1541.18.0.1 to 41.19.255.25441.19.255.255131,070
13941.20.0.0/1541.20.0.1 to 41.21.255.25441.21.255.255131,070
14041.22.0.0/1541.22.0.1 to 41.23.255.25441.23.255.255131,070
14141.24.0.0/1541.24.0.1 to 41.25.255.25441.25.255.255131,070
14241.26.0.0/1541.26.0.1 to 41.27.255.25441.27.255.255131,070
14341.28.0.0/1541.28.0.1 to 41.29.255.25441.29.255.255131,070
14441.30.0.0/1541.30.0.1 to 41.31.255.25441.31.255.255131,070
14541.32.0.0/1541.32.0.1 to 41.33.255.25441.33.255.255131,070
14641.34.0.0/1541.34.0.1 to 41.35.255.25441.35.255.255131,070
14741.36.0.0/1541.36.0.1 to 41.37.255.25441.37.255.255131,070
14841.38.0.0/1541.38.0.1 to 41.39.255.25441.39.255.255131,070
14941.40.0.0/1541.40.0.1 to 41.41.255.25441.41.255.255131,070
15041.42.0.0/1541.42.0.1 to 41.43.255.25441.43.255.255131,070
15141.44.0.0/1541.44.0.1 to 41.45.255.25441.45.255.255131,070
15241.46.0.0/1541.46.0.1 to 41.47.255.25441.47.255.255131,070
15341.48.0.0/1541.48.0.1 to 41.49.255.25441.49.255.255131,070
15441.50.0.0/1541.50.0.1 to 41.51.255.25441.51.255.255131,070
15541.52.0.0/1541.52.0.1 to 41.53.255.25441.53.255.255131,070
15641.54.0.0/1541.54.0.1 to 41.55.255.25441.55.255.255131,070
15741.56.0.0/1541.56.0.1 to 41.57.255.25441.57.255.255131,070
15841.58.0.0/1541.58.0.1 to 41.59.255.25441.59.255.255131,070
15941.60.0.0/1541.60.0.1 to 41.61.255.25441.61.255.255131,070
16041.62.0.0/1541.62.0.1 to 41.63.255.25441.63.255.255131,070
16141.64.0.0/1541.64.0.1 to 41.65.255.25441.65.255.255131,070
16241.66.0.0/1541.66.0.1 to 41.67.255.25441.67.255.255131,070
16341.68.0.0/1541.68.0.1 to 41.69.255.25441.69.255.255131,070
16441.70.0.0/1541.70.0.1 to 41.71.255.25441.71.255.255131,070
16541.72.0.0/1541.72.0.1 to 41.73.255.25441.73.255.255131,070
16641.74.0.0/1541.74.0.1 to 41.75.255.25441.75.255.255131,070
16741.76.0.0/1541.76.0.1 to 41.77.255.25441.77.255.255131,070
16841.78.0.0/1541.78.0.1 to 41.79.255.25441.79.255.255131,070
16941.80.0.0/1541.80.0.1 to 41.81.255.25441.81.255.255131,070
17041.82.0.0/1541.82.0.1 to 41.83.255.25441.83.255.255131,070
17141.84.0.0/1541.84.0.1 to 41.85.255.25441.85.255.255131,070
17241.86.0.0/1541.86.0.1 to 41.87.255.25441.87.255.255131,070
17341.88.0.0/1541.88.0.1 to 41.89.255.25441.89.255.255131,070
17441.90.0.0/1541.90.0.1 to 41.91.255.25441.91.255.255131,070
17541.92.0.0/1541.92.0.1 to 41.93.255.25441.93.255.255131,070
17641.94.0.0/1541.94.0.1 to 41.95.255.25441.95.255.255131,070
17741.96.0.0/1541.96.0.1 to 41.97.255.25441.97.255.255131,070
17841.98.0.0/1541.98.0.1 to 41.99.255.25441.99.255.255131,070
17941.100.0.0/1541.100.0.1 to 41.101.255.25441.101.255.255131,070
18041.102.0.0/1541.102.0.1 to 41.103.255.25441.103.255.255131,070
18141.104.0.0/1541.104.0.1 to 41.105.255.25441.105.255.255131,070
18241.106.0.0/1541.106.0.1 to 41.107.255.25441.107.255.255131,070
18341.108.0.0/1541.108.0.1 to 41.109.255.25441.109.255.255131,070
18441.110.0.0/1541.110.0.1 to 41.111.255.25441.111.255.255131,070
18541.112.0.0/1541.112.0.1 to 41.113.255.25441.113.255.255131,070
18641.114.0.0/1541.114.0.1 to 41.115.255.25441.115.255.255131,070
18741.116.0.0/1541.116.0.1 to 41.117.255.25441.117.255.255131,070
18841.118.0.0/1541.118.0.1 to 41.119.255.25441.119.255.255131,070
18941.120.0.0/1541.120.0.1 to 41.121.255.25441.121.255.255131,070
19041.122.0.0/1541.122.0.1 to 41.123.255.25441.123.255.255131,070
19141.124.0.0/1541.124.0.1 to 41.125.255.25441.125.255.255131,070
19241.126.0.0/1541.126.0.1 to 41.127.255.25441.127.255.255131,070
19341.128.0.0/1541.128.0.1 to 41.129.255.25441.129.255.255131,070
19441.130.0.0/1541.130.0.1 to 41.131.255.25441.131.255.255131,070
19541.132.0.0/1541.132.0.1 to 41.133.255.25441.133.255.255131,070
19641.134.0.0/1541.134.0.1 to 41.135.255.25441.135.255.255131,070
19741.136.0.0/1541.136.0.1 to 41.137.255.25441.137.255.255131,070
19841.138.0.0/1541.138.0.1 to 41.139.255.25441.139.255.255131,070
19941.140.0.0/1541.140.0.1 to 41.141.255.25441.141.255.255131,070
20041.142.0.0/1541.142.0.1 to 41.143.255.25441.143.255.255131,070
20141.144.0.0/1541.144.0.1 to 41.145.255.25441.145.255.255131,070
20241.146.0.0/1541.146.0.1 to 41.147.255.25441.147.255.255131,070
20341.148.0.0/1541.148.0.1 to 41.149.255.25441.149.255.255131,070
20441.150.0.0/1541.150.0.1 to 41.151.255.25441.151.255.255131,070
20541.152.0.0/1541.152.0.1 to 41.153.255.25441.153.255.255131,070
20641.154.0.0/1541.154.0.1 to 41.155.255.25441.155.255.255131,070
20741.156.0.0/1541.156.0.1 to 41.157.255.25441.157.255.255131,070
20841.158.0.0/1541.158.0.1 to 41.159.255.25441.159.255.255131,070
20941.160.0.0/1541.160.0.1 to 41.161.255.25441.161.255.255131,070
21041.162.0.0/1541.162.0.1 to 41.163.255.25441.163.255.255131,070
21141.164.0.0/1541.164.0.1 to 41.165.255.25441.165.255.255131,070
21241.166.0.0/1541.166.0.1 to 41.167.255.25441.167.255.255131,070
21341.168.0.0/1541.168.0.1 to 41.169.255.25441.169.255.255131,070
21441.170.0.0/1541.170.0.1 to 41.171.255.25441.171.255.255131,070
21541.172.0.0/1541.172.0.1 to 41.173.255.25441.173.255.255131,070
21641.174.0.0/1541.174.0.1 to 41.175.255.25441.175.255.255131,070
21741.176.0.0/1541.176.0.1 to 41.177.255.25441.177.255.255131,070
21841.178.0.0/1541.178.0.1 to 41.179.255.25441.179.255.255131,070
21941.180.0.0/1541.180.0.1 to 41.181.255.25441.181.255.255131,070
22041.182.0.0/1541.182.0.1 to 41.183.255.25441.183.255.255131,070
22141.184.0.0/1541.184.0.1 to 41.185.255.25441.185.255.255131,070
22241.186.0.0/1541.186.0.1 to 41.187.255.25441.187.255.255131,070
22341.188.0.0/1541.188.0.1 to 41.189.255.25441.189.255.255131,070
22441.190.0.0/1541.190.0.1 to 41.191.255.25441.191.255.255131,070
22541.192.0.0/1541.192.0.1 to 41.193.255.25441.193.255.255131,070
22641.194.0.0/1541.194.0.1 to 41.195.255.25441.195.255.255131,070
22741.196.0.0/1541.196.0.1 to 41.197.255.25441.197.255.255131,070
22841.198.0.0/1541.198.0.1 to 41.199.255.25441.199.255.255131,070
22941.200.0.0/1541.200.0.1 to 41.201.255.25441.201.255.255131,070
23041.202.0.0/1541.202.0.1 to 41.203.255.25441.203.255.255131,070
23141.204.0.0/1541.204.0.1 to 41.205.255.25441.205.255.255131,070
23241.206.0.0/1541.206.0.1 to 41.207.255.25441.207.255.255131,070
23341.208.0.0/1541.208.0.1 to 41.209.255.25441.209.255.255131,070
23441.210.0.0/1541.210.0.1 to 41.211.255.25441.211.255.255131,070
23541.212.0.0/1541.212.0.1 to 41.213.255.25441.213.255.255131,070
23641.214.0.0/1541.214.0.1 to 41.215.255.25441.215.255.255131,070
23741.216.0.0/1541.216.0.1 to 41.217.255.25441.217.255.255131,070
23841.218.0.0/1541.218.0.1 to 41.219.255.25441.219.255.255131,070
23941.220.0.0/1541.220.0.1 to 41.221.255.25441.221.255.255131,070
24041.222.0.0/1541.222.0.1 to 41.223.255.25441.223.255.255131,070
24141.224.0.0/1541.224.0.1 to 41.225.255.25441.225.255.255131,070
24241.226.0.0/1541.226.0.1 to 41.227.255.25441.227.255.255131,070
24341.228.0.0/1541.228.0.1 to 41.229.255.25441.229.255.255131,070
24441.230.0.0/1541.230.0.1 to 41.231.255.25441.231.255.255131,070
24541.232.0.0/1541.232.0.1 to 41.233.255.25441.233.255.255131,070
24641.234.0.0/1541.234.0.1 to 41.235.255.25441.235.255.255131,070
24741.236.0.0/1541.236.0.1 to 41.237.255.25441.237.255.255131,070
24841.238.0.0/1541.238.0.1 to 41.239.255.25441.239.255.255131,070
24941.240.0.0/1541.240.0.1 to 41.241.255.25441.241.255.255131,070
25041.242.0.0/1541.242.0.1 to 41.243.255.25441.243.255.255131,070
25141.244.0.0/1541.244.0.1 to 41.245.255.25441.245.255.255131,070
25241.246.0.0/1541.246.0.1 to 41.247.255.25441.247.255.255131,070
25341.248.0.0/1541.248.0.1 to 41.249.255.25441.249.255.255131,070
25441.250.0.0/1541.250.0.1 to 41.251.255.25441.251.255.255131,070
25541.252.0.0/1541.252.0.1 to 41.253.255.25441.253.255.255131,070
25641.254.0.0/1541.254.0.1 to 41.255.255.25441.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses